<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.countrygarden.bi.main.dao.project.ProjectSignMapper">
  <resultMap id="BaseResultMap" type="cn.com.countrygarden.bi.main.model.project.ProjectSign">
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="organ_id" jdbcType="VARCHAR" property="organId" />
        <result column="organ_name" jdbcType="VARCHAR" property="organName" />
    <result column="proposal_organ_id" jdbcType="VARCHAR" property="proposalOrganId" />
    <result column="project_name" jdbcType="VARCHAR" property="projectName" />
    <result column="project_nature" jdbcType="INTEGER" property="projectNature" />
    <result column="is_new" jdbcType="INTEGER" property="isNew" />
    <result column="corp_type" jdbcType="INTEGER" property="corpType" />
    <result column="contract_area" jdbcType="DECIMAL" property="contractArea" />
    <result column="sign_time" jdbcType="TIMESTAMP" property="signTime" />
    <result column="end_time" jdbcType="TIMESTAMP" property="endTime" />
    <result column="in_month" jdbcType="VARCHAR" property="inMonth" />
    <result column="gmt_create" jdbcType="TIMESTAMP" property="gmtCreate" />
    <result column="create_by" jdbcType="VARCHAR" property="createBy" />
    <result column="gmt_modified" jdbcType="TIMESTAMP" property="gmtModified" />
    <result column="modified_by" jdbcType="VARCHAR" property="modifiedBy" />
    <result column="is_delete" jdbcType="TINYINT" property="isDelete" />
     <result column="region" jdbcType="INTEGER" property="region" />
      <result column="province" jdbcType="VARCHAR" property="province" />
    
  </resultMap>
 
 <select id="selectList" resultMap="BaseResultMap">
 		SELECT
			ps.project_name,
			ps.id
		FROM
			project_sign ps
		<where>
			<if test="projectName != null and projectName != ''" >
	    			AND ps.project_name  LIKE CONCAT('%',#{projectName},'%') 
	    	</if>
		</where>
			
 	</select>
</mapper>